Lists GCP Connections
Lists GCP Connections for a particular org
Query Parameters
- limit int64
Limits the size of the response on each page to the specified number of items.
- start string
Sets the page token used to browse the collection. Leave this parameter empty to get the first page. Other pages can be traversed using HATEOAS links.
- filter string
Narrows down the results to only the items that satisfy the filter criteria. The following table lists the supported filter fields for this resource and the operations that can be performed on the field:
Field Filter Condition Description project_id $contains A substring within the project id to search for. {"project_id":{"$contains":"project_id1"}}project_name $contains A substring within the project name to search for. {"project_name":{"$contains":"production"}}connection_status $in The status of the connection. Possible values: "pending", "connected", "disconnected" and "retired". ?filter={"connection_status":{"$in":["installed","new"]}}
- 200
- default
Success
- application/api.clumio.gcp-connections=v1+json
- Schema
- Example (from schema)
Schema
_embedded object
Embedded responses related to the resource.
items object[]
A collection of requested items.
configuration object
gcs object
installed_template_version stringThe current version of the feature.
installed_template_version stringThe current version of the feature.
connection_status stringPossible values: [
new,installed,deleted,retired]The status of the connection
connection_type stringPossible values: [
service]The type of this connection, which identifies its use.
created_timestamp stringThe timestamp of when the connection was created.
deployment_type stringPossible values: [
direct_terraform,infrastructure_manager]The method by which the GCP terraform template was deployed.
description stringThe user defined description for the connection.
organizational_unit_id stringThe Clumio-assigned ID of the organizational unit associated with the GCP connection. For more information about organizational units, refer to the Organizational-Units documentation.
project_id stringThe user-assigned ID of the GCP project associated with the connection.
project_name stringThe user-friendly name of the GCP project associated with the connection.
project_number stringThe GCP-assigned numeric INT64 project number associated with the connection.
regions string[]The GCP regions used for inventory.
template_permission_set stringPossible values: [
all,inventory_backup]The permission set selected during registration.
token stringThe 36-character Clumio GCP integration token used to identify the installation of the Clumio GCP integration resources in the project.
updated_timestamp stringThe timestamp of when the connection was updated.
- current_count int64
The number of items listed on the current page.
- filter_applied string
The filter used in the request. The filter includes both manually-specified and system-generated filters.
- limit int64
The maximum number of items displayed per page in the response.
- start string
The page token used to get this response.
{
"_embedded": {
"items": [
{
"configuration": {
"gcs": {
"installed_template_version": "string"
},
"installed_template_version": "string"
},
"connection_status": "new",
"connection_type": "service",
"created_timestamp": "string",
"deployment_type": "direct_terraform",
"description": "string",
"organizational_unit_id": "string",
"project_id": "string",
"project_name": "string",
"project_number": "string",
"regions": [
"string"
],
"template_permission_set": "all",
"token": "string",
"updated_timestamp": "string"
}
]
},
"current_count": 0,
"filter_applied": "string",
"limit": 0,
"start": "string"
}
Error
- application/json
- Schema
- Example (from schema)
Schema
errors object[]
A list of errors encountered during runtime.
error_code uint32error_message stringThe reason for the error.
{
"errors": [
{
"error_code": 0,
"error_message": "string"
}
]
}